diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/include/patchlevel.h ircd-hybrid-6.0/include/patchlevel.h
--- ircd-hybrid-6.0.orig/include/patchlevel.h	Mon Jun 25 20:26:57 2001
+++ ircd-hybrid-6.0/include/patchlevel.h	Mon Jun 25 20:26:47 2001
@@ -17,5 +17,5 @@
  */
 
 #ifndef PATCHLEVEL
-#define PATCHLEVEL    "dancer-ircd-0.9.1.6"
+#define PATCHLEVEL    "dancer-ircd-0.9.1.7"
 #endif
diff -ruN -x configure -x *~ -x ircd-hybrid-6.0.orig -x *.rej ircd-hybrid-6.0.orig/src/m_map.c ircd-hybrid-6.0/src/m_map.c
--- ircd-hybrid-6.0.orig/src/m_map.c	Mon Jun 25 20:26:57 2001
+++ ircd-hybrid-6.0/src/m_map.c	Mon Jun 25 20:26:20 2001
@@ -125,6 +125,14 @@
 	if (conf->status == CONF_NOCONNECT_SERVER)
 	  conf->map_done = 0;
       map_send_server(sptr, parv[0], &me);
+      for (conf = ConfigItemList; conf; conf = conf->next)
+	{
+	  if (conf->status != CONF_NOCONNECT_SERVER)
+	    continue;
+	  if (strcmp(conf->name, me.name) == 0)
+	    continue;
+	  sendto_one(sptr, form_str(RPL_MAP), me.name, parv[0], "** ", conf->name);
+	}
       sendto_one(sptr,form_str(RPL_ENDOFMAP),me.name,parv[0]);
     }
   else
